Getting a mobile ad unit by ID

Request

GET

https://partner.yandex.ru/api/mobile/adunit/{id}

Partner API

Path parameters

Name

Description

id

Type: string

Mobile ad unit ID

Pattern: R-M-\d{1,10}-\d{1,7}

Example: ``

Responses

200 OK

OK

Body

application/json
{
  "data": {
    "applicationId": 0.5,
    "caption": "example",
    "createDate": "2025-01-01T00:00:00Z",
    "editable": true,
    "id": "example",
    "status": "UNKNOWN",
    "strategy": {},
    "type": "example"
  },
  "warnings": [
    "example"
  ]
}

Name

Description

data

Type: MobileAdUnit

Example
{
  "applicationId": 0.5,
  "caption": "example",
  "createDate": "2025-01-01T00:00:00Z",
  "editable": true,
  "id": "example",
  "status": "UNKNOWN",
  "strategy": {},
  "type": "example"
}

warnings

Type: string[]

List of warnings that occurred when performing an action

Example
[
  "example"
]

AdUnitStatus

Type: string

Enum: UNKNOWN, ENABLED, ARCHIVED

Strategy

Ad traffic management strategy

Name

Description

type

Type: string

Strategy type

Example: example

Example
{
  "type": "example"
}

MaxRevenueStrategy

Doesn't limit the impression cost

Type: object

All of 1 type
  • Type: Strategy

    Ad traffic management strategy

    Example
    {
      "type": "example"
    }
    
Example
{
  "type": "example"
}

MinCpmVStrategy

The threshold (floor) sets the cost per one thousand viewable impressions

Type: object

All of 2 types
  • Type: Strategy

    Ad traffic management strategy

    Example
    {
      "type": "example"
    }
    
  • Type: object

    mincpm

    Type: number

    Floor value

    Example
    {
      "mincpm": 0.5
    }
    
Example
{
  "type": "example",
  "mincpm": 0.5
}

MinECpmStrategy

The threshold (floor) sets the cost per one thousand impressions

Type: object

All of 2 types
  • Type: Strategy

    Ad traffic management strategy

    Example
    {
      "type": "example"
    }
    
  • Type: object

    mincpm

    Type: number

    Floor value

    Example
    {
      "mincpm": 0.5
    }
    
Example
{
  "type": "example",
  "mincpm": 0.5
}

BaseMobileAdUnit

Name

Description

applicationId

Type: number

App ID

id

Type: string

Unit ID

Min length: 7

Pattern: R-M-\d{1,10}-\d{1,7}

Example: example

type

Type: string

Type of ad unit or unit action

Example: example

caption

Type: string

Description

Min length: 1

Max length: 255

Example: example

createDate

Type: string<date-time>

Unit creation date

Example: 2025-01-01T00:00:00Z

editable

Type: boolean

Editability

status

Type: AdUnitStatus

Enum: UNKNOWN, ENABLED, ARCHIVED

strategy

One of 3 types
  • Maximum revenue

    Type: MaxRevenueStrategy

    Doesn't limit the impression cost

    Example
    {
      "type": "example"
    }
    
  • Minimum CPMV floor

    Type: MinCpmVStrategy

    The threshold (floor) sets the cost per one thousand viewable impressions

    Example
    {
      "type": "example",
      "mincpm": 0.5
    }
    
  • Minimum eCPM floor

    Type: MinECpmStrategy

    The threshold (floor) sets the cost per one thousand impressions

    Example
    {
      "type": "example",
      "mincpm": 0.5
    }
    

Ad traffic management strategy, CPM floors

Example
{
  "type": "example"
}
Example
{
  "applicationId": 0.5,
  "caption": "example",
  "createDate": "2025-01-01T00:00:00Z",
  "editable": true,
  "id": "example",
  "status": "UNKNOWN",
  "strategy": {
    "type": "example"
  },
  "type": "example"
}

AppOpenMobileAdUnit

All of 2 types
  • Type: BaseMobileAdUnit

    Example
    {
      "applicationId": 0.5,
      "caption": "example",
      "createDate": "2025-01-01T00:00:00Z",
      "editable": true,
      "id": "example",
      "status": "UNKNOWN",
      "strategy": {
        "type": "example"
      },
      "type": "example"
    }
    
  • App open ad unit

    Type: object

    App open ad unit

    Example
    {}
    
Example
{
  "applicationId": 0.5,
  "caption": "example",
  "createDate": "2025-01-01T00:00:00Z",
  "editable": true,
  "id": "example",
  "status": "UNKNOWN",
  "strategy": {
    "type": "example"
  },
  "type": "example"
}

RewardedMobileAdUnit

All of 2 types
  • Type: BaseMobileAdUnit

    Example
    {
      "applicationId": 0.5,
      "caption": "example",
      "createDate": "2025-01-01T00:00:00Z",
      "editable": true,
      "id": "example",
      "status": "UNKNOWN",
      "strategy": {
        "type": "example"
      },
      "type": "example"
    }
    
  • Type: Rewarded ad unit

    currencyType

    Type: string

    In-app currency name

    Min length: 1

    Max length: 64

    Example: example

    currencyValue

    Type: number

    Reward amount for viewing the ad in the in-app currency

    Min value: 0

    Max value: 100000000

    Rewarded ad unit

    Example
    {
      "currencyType": "example",
      "currencyValue": 0
    }
    
Example
{
  "applicationId": 0.5,
  "caption": "example",
  "createDate": "2025-01-01T00:00:00Z",
  "editable": true,
  "id": "example",
  "status": "UNKNOWN",
  "strategy": {
    "type": "example"
  },
  "type": "example",
  "currencyType": "example",
  "currencyValue": 0
}

BannerMobileAdUnit

All of 2 types
  • Type: BaseMobileAdUnit

    Example
    {
      "applicationId": 0.5,
      "caption": "example",
      "createDate": "2025-01-01T00:00:00Z",
      "editable": true,
      "id": "example",
      "status": "UNKNOWN",
      "strategy": {
        "type": "example"
      },
      "type": "example"
    }
    
  • Banner

    Type: object

    Banner

    Example
    {}
    
Example
{
  "applicationId": 0.5,
  "caption": "example",
  "createDate": "2025-01-01T00:00:00Z",
  "editable": true,
  "id": "example",
  "status": "UNKNOWN",
  "strategy": {
    "type": "example"
  },
  "type": "example"
}

NativeMobileAdUnit

All of 2 types
  • Type: BaseMobileAdUnit

    Example
    {
      "applicationId": 0.5,
      "caption": "example",
      "createDate": "2025-01-01T00:00:00Z",
      "editable": true,
      "id": "example",
      "status": "UNKNOWN",
      "strategy": {
        "type": "example"
      },
      "type": "example"
    }
    
  • Native ad unit

    Type: object

    Native ad unit

    Example
    {}
    
Example
{
  "applicationId": 0.5,
  "caption": "example",
  "createDate": "2025-01-01T00:00:00Z",
  "editable": true,
  "id": "example",
  "status": "UNKNOWN",
  "strategy": {
    "type": "example"
  },
  "type": "example"
}

InterstitialMobileAdUnit

All of 2 types
  • Type: BaseMobileAdUnit

    Example
    {
      "applicationId": 0.5,
      "caption": "example",
      "createDate": "2025-01-01T00:00:00Z",
      "editable": true,
      "id": "example",
      "status": "UNKNOWN",
      "strategy": {
        "type": "example"
      },
      "type": "example"
    }
    
  • Interstitial ad unit

    Type: object

    Interstitial ad unit

    Example
    {}
    
Example
{
  "applicationId": 0.5,
  "caption": "example",
  "createDate": "2025-01-01T00:00:00Z",
  "editable": true,
  "id": "example",
  "status": "UNKNOWN",
  "strategy": {
    "type": "example"
  },
  "type": "example"
}

MobileAdUnit

One of 5 types
  • Type: AppOpenMobileAdUnit

    Example
    {
      "applicationId": 0.5,
      "caption": "example",
      "createDate": "2025-01-01T00:00:00Z",
      "editable": true,
      "id": "example",
      "status": "UNKNOWN",
      "strategy": {
        "type": "example"
      },
      "type": "example"
    }
    
  • Type: RewardedMobileAdUnit

    Example
    {
      "applicationId": 0.5,
      "caption": "example",
      "createDate": "2025-01-01T00:00:00Z",
      "editable": true,
      "id": "example",
      "status": "UNKNOWN",
      "strategy": {
        "type": "example"
      },
      "type": "example",
      "currencyType": "example",
      "currencyValue": 0
    }
    
  • Type: BannerMobileAdUnit

    Example
    {
      "applicationId": 0.5,
      "caption": "example",
      "createDate": "2025-01-01T00:00:00Z",
      "editable": true,
      "id": "example",
      "status": "UNKNOWN",
      "strategy": {
        "type": "example"
      },
      "type": "example"
    }
    
  • Type: NativeMobileAdUnit

    Example
    {
      "applicationId": 0.5,
      "caption": "example",
      "createDate": "2025-01-01T00:00:00Z",
      "editable": true,
      "id": "example",
      "status": "UNKNOWN",
      "strategy": {
        "type": "example"
      },
      "type": "example"
    }
    
  • Type: InterstitialMobileAdUnit

    Example
    {
      "applicationId": 0.5,
      "caption": "example",
      "createDate": "2025-01-01T00:00:00Z",
      "editable": true,
      "id": "example",
      "status": "UNKNOWN",
      "strategy": {
        "type": "example"
      },
      "type": "example"
    }
    
Example
{
  "applicationId": 0.5,
  "caption": "example",
  "createDate": "2025-01-01T00:00:00Z",
  "editable": true,
  "id": "example",
  "status": "UNKNOWN",
  "strategy": {},
  "type": "example"
}